Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.struts.adapter.util
Class ModuleConfigLocator

    java.lang.Object
      com.bea.struts.adapter.util.ModuleConfigLocator

All Implemented Interfaces
  org.apache.beehive.netui.pageflow.AutoRegisterActionServlet.ModuleConfigLocator

Direct Known Subclasses:
  StrutsContentModuleConfigLocator

    public class ModuleConfigLocator

extends Object
implements org.apache.beehive.netui.pageflow.AutoRegisterActionServlet.ModuleConfigLocator

Field Summary
`static String` | `autoConfigPostfix`
`static String` | `autoConfigPrefix`
`static String` | `globalPrefix`

Constructor Summary
`ModuleConfigLocator()`

Method Summary
`String` | `getModuleConfigPath(String moduleName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### autoConfigPrefix

    public static final String autoConfigPrefix

See Also
  Constants Summary

### autoConfigPostfix

    public static final String autoConfigPostfix

See Also
  Constants Summary

### globalPrefix

    public static final String globalPrefix

See Also
  Constants Summary

Constructor Detail

### ModuleConfigLocator

    public ModuleConfigLocator()

Method Detail

### getModuleConfigPath

    public String getModuleConfigPath(String moduleName)

  Specified by:
    `getModuleConfigPath` in interface `org.apache.beehive.netui.pageflow.AutoRegisterActionServlet.ModuleConfigLocator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.